Subject: Re: CCL:G98 A11.1 and SMP under RedHat 2.4

From: "Rafael R. Pappalardo" <[email-masked]>
Date: Fri, 28 Jun 2002 12:01:40 +0200 (CEST)

On Thu, 27 Jun 2002, Jim Stoner wrote:

> Hi all
> Thanks for your time.  I am having a killer of a time getting G98 to build
> with smp support.  I am using the current version of PGI F77.  The box I am
> using is a Dell Precision 530 w/ 1GB of RAM.  The system environment is:
>
> # uname -a
> Linux strontium 2.4.9-21smp #1 SMP Thu Jan 17 14:01:48 EST 2002 i686 unknown
>
> Other applications compile and run under SMP with no problem.  However, G98
> kicks back the following in the logfile before it seg/malloc faults and core
> dumps from:
>
> # g98 ./2proctest.com ./ &
> [2] 1489
> # shmget failed.: Invalid argument
> [2]    Exit 1                        g98 ./2proctest.com ./

Have you changed the value of shmmax? I need to do something like

echo "805306368" >/proc/sys/kernel/shmmax

Where 805306368 is the amount of memory in bytes (768Mb in the example).

I normally include the line in the /etc/rc.d/rc.local file to be sure
is run at every reboot.

Hope this helps.

Rafael

> #
>
> <snip logifile>
> ***********************************************
>  Gaussian 98:  x86-Linux-G98RevA.11.1 1-Nov-2001
>                    27-Jun-2002
>  ***********************************************
>  %Chk=js3-5.chk
>  %mem=50MB
>  %NPROC=2
>  Will use up to    2 processors via shared memory.
>  -------------------------
>  #P UHF/6-31G Opt PROP=epr
>  -------------------------
>  1/18=20,38=1/1,3;
>  2/9=110,17=6,18=5,40=1/2;
>  3/5=1,6=6,11=2,25=1,30=1/1,2,3;
>  4/7=2/1;
>  5/5=2,38=4/2;
>  6/7=2,8=2,9=2,10=2,17=2,26=4,28=1/1,2;
>  7//1,2,3,16;
>  1/18=20/3(1);
>  99//99;
>  2/9=110/2;
>  3/5=1,6=6,11=2,25=1,30=1/1,2,3;
>  4/5=5,7=2,16=2/1;
>  5/5=2,38=4/2;
>  7//1,2,3,16;
>  1/18=20/3(-5);
>  2/9=110/2;
>  6/7=2,8=2,9=2,10=2,17=2,19=2,26=4,28=1/1,2;
>  99/9=1/99;
>  Leave Link    1 at Thu Jun 27 20:22:55 2002, MaxMem=    6553600 cpu:
> 0.1
> <snip logifile>
>
> If I try to specify 2 processors and worse, if I reduce the memory
> allocation even farther so it thinks it has enough, then it starts stating
> it is reducing the number of processors and evoking LINDA.  Any ideas?
>
> Thanks again,
> Jim
>
>
> PS.  Has anyone seen a substantial increases in production by envoking ATLAS
> instead of BLAS?  Is it worth getting A11.3 for the ATLAS build?  All
> thoughts would be gratefully appreciated...
>
>
> =====================================
> James W. Stoner
> Doctoral Student
> University of Denver
> Department of Chemistry and Biochemistry
> Eaton Electron Paramagnetic Resonance Labs
> =====================================
>
>
>
> -= This is automatically added to each message by mailing script =-
> [email-masked] -- To Everybody  | [email-masked] -- To Admins
> Ftp: ftp.ccl.net  |  WWW: http://www.ccl.net/chemistry/   | Jan: [email-masked]
>
>
>
>
>

-- 
Dr. Rafael R. Pappalardo
Dept. Quimica Fisica, Fac. de Quimica, Univ. de Sevilla. 41012-Sevilla (Spain)
e-mail: [email-masked]